test_component< T, M, VfTag >
Inheritance diagram for test_component< T, M, VfTag >:

## Public Types

typedef test_component_rep< T, M, VfTag > | rep
typedef smart_pointer< rep > | base
typedef test_basic< T, M, VfTag > | test_type
typedef test_type::size_type | size_type
typedef test_type::value_type | value_type
typedef M | memory_type
typedef test_type::scalar_type | scalar_type
typedef test_type::float_type | float_type
typedef details::differentiate_option::type | diff_type
typedef geo_basic< float_type, M > | geo_type
typedef space_basic< float_type, M > | space_type
typedef VfTag | vf_tag_type
typedef details::dual_vf_tag< VfTag >::type | vf_dual_tag_type
typedef test_component< T, M, VfTag > | self_type
typedef test_component< T, M, vf_dual_tag_type > | dual_self_type
Public Types inherited from smart_pointer< test_component_rep< T, M, VfTag > >
typedef test_component_rep< T, M, VfTag > | handled_type
typedef base::internal | internal

## Public Member Functions

| test_component ()
| test_component (const test_component< T, M, VfTag > &u)
| test_component (const test_basic< T, M, VfTag > &u, size_type i_comp)
| test_component (const test_component< T, M, VfTag > &u, size_type i_comp)
test_component< T, M, VfTag > | operator[] (size_t i_comp) const
const space_type & | get_vf_space () const
space_constant::valued_type | valued_tag () const
size_type | n_derivative () const
void | initialize (const piola_on_pointset< T > &pops, const integrate_option &iopt) const
void | initialize (const band_basic< float_type, memory_type > &gh, const piola_on_pointset< T > &pops, const integrate_option &iopt) const
void | initialize (const space_basic< float_type, memory_type > &Xh, const integrate_option &iopt) const
template<class Value , diff_type Diff>
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, const details::differentiate_option &gopt, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Value , diff_type Diff>
void | evaluate_on_side (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, const side_information_type &sid, const details::differentiate_option &gopt, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value, bool do_local_component_assembly) const
template<class Value >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Value >
void | evaluate_on_side (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, const side_information_type &sid, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value, bool do_local_component_assembly) const
template<class Value >
void | local_dg_merge_on_side (const geo_basic< T, M > &omega_K, const geo_element &S, const geo_element &K0, const geo_element &K1, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value0, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value1, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class ValueType >
void | valued_check () const
template<class ValueType >
void | grad_valued_check () const
template<class ValueType >
void | div_valued_check () const
Public Member Functions inherited from smart_pointer< test_component_rep< T, M, VfTag > >
| smart_pointer (test_component_rep< T, M, VfTag > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< test_component_rep< T, M, VfTag > > &x)
smart_pointer< test_component_rep< T, M, VfTag > > & | operator= (const smart_pointer< test_component_rep< T, M, VfTag > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = rep::valued_hint

## Detailed Description

### template<class T, class M, class VfTag>
class rheolef::details::test_component< T, M, VfTag >

Definition at line 405 of file test_component.h.

## Member Typedef Documentation

## rep

typedef test_component_rep<T,M,VfTag> rep

Definition at line 410 of file test_component.h.

## base

typedef smart_pointer<rep> base

Definition at line 411 of file test_component.h.

## test_type

typedef test_basic<T,M,VfTag> test_type

Definition at line 412 of file test_component.h.

## size_type

typedef test_type::size_type size_type

Definition at line 413 of file test_component.h.

## value_type

typedef test_type::value_type value_type

Definition at line 414 of file test_component.h.

## memory_type

typedef M memory_type

Definition at line 415 of file test_component.h.

## scalar_type

typedef test_type::scalar_type scalar_type

Definition at line 416 of file test_component.h.

## float_type

typedef test_type::float_type float_type

Definition at line 417 of file test_component.h.

## diff_type

typedef details::differentiate_option::type diff_type

Definition at line 418 of file test_component.h.

## geo_type

typedef geo_basic<float_type,M> geo_type

Definition at line 419 of file test_component.h.

## space_type

typedef space_basic<float_type,M> space_type

Definition at line 420 of file test_component.h.

## vf_tag_type

typedef VfTag vf_tag_type

Definition at line 421 of file test_component.h.

## vf_dual_tag_type

typedef details::dual_vf_tag<VfTag>::type vf_dual_tag_type

Definition at line 423 of file test_component.h.

## self_type

typedef test_component<T,M,VfTag> self_type

Definition at line 424 of file test_component.h.

## dual_self_type

typedef test_component<T,M,vf_dual_tag_type> dual_self_type

Definition at line 425 of file test_component.h.

## Constructor & Destructor Documentation

## test_component() [1/4]

test_component | ( |  | ) |

Definition at line 429 of file test_component.h.

## test_component() [2/4]

test_component | ( | const test_component< T, M, VfTag > & | u | ) |

Definition at line 430 of file test_component.h.

## test_component() [3/4]

test_component | ( | const test_basic< T, M, VfTag > & | u,
|  | size_type | i_comp
| ) |  |

Definition at line 431 of file test_component.h.

## test_component() [4/4]

test_component | ( | const test_component< T, M, VfTag > & | u,
|  | size_type | i_comp
| ) |  |

Definition at line 432 of file test_component.h.

## Member Function Documentation

## operator[]()

test_component<T,M,VfTag> operator[] | ( | size_t | i_comp | ) | const

Definition at line 436 of file test_component.h.

## get_vf_space()

const space_type& get_vf_space | ( |  | ) | const

Definition at line 440 of file test_component.h.

## valued_tag()

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 442 of file test_component.h.

## n_derivative()

size_type n_derivative | ( |  | ) | const

Definition at line 443 of file test_component.h.

## initialize() [1/3]

void initialize | ( | const piola_on_pointset< T > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 447 of file test_component.h.

## initialize() [2/3]

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const piola_on_pointset< T > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 451 of file test_component.h.

## initialize() [3/3]

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 456 of file test_component.h.

## evaluate() [1/2]

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | const details::differentiate_option & | gopt,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 464 of file test_component.h.

## evaluate_on_side() [1/2]

void evaluate_on_side | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | const details::differentiate_option & | gopt,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value,
|  | bool | do_local_component_assembly
| ) |  | const

Definition at line 472 of file test_component.h.

## evaluate() [2/2]

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 483 of file test_component.h.

## evaluate_on_side() [2/2]

void evaluate_on_side | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value,
|  | bool | do_local_component_assembly
| ) |  | const

Definition at line 492 of file test_component.h.

## local_dg_merge_on_side()

void local_dg_merge_on_side | ( | const geo_basic< T, M > & | omega_K,
|  | const geo_element & | S,
|  | const geo_element & | K0,
|  | const geo_element & | K1,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value0,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value1,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 506 of file test_component.h.

## valued_check()

void valued_check | ( |  | ) | const

Definition at line 519 of file test_component.h.

## grad_valued_check()

void grad_valued_check | ( |  | ) | const

Definition at line 521 of file test_component.h.

## div_valued_check()

void div_valued_check | ( |  | ) | const

Definition at line 523 of file test_component.h.

## Member Data Documentation

## valued_hint

const space_constant::valued_type valued_hint = rep::valued_hint

static

Definition at line 441 of file test_component.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/test.h
- /build/rheolef-FQTnje/rheolef-7.1/main/lib/test_component.h